#pragma once
#include "types.h"

extern node *GBCdoGenByteCode( node *syntaxtree);

node* GBCassign(node*, info*);
node* GBCvar(node*, info*);
node* GBCvarlet(node*, info*);
node* GBCcast(node*, info*);
node* GBCmonop(node*, info*);
node* GBCbinop(node*, info*);
node* GBCfloat(node*, info*);
node* GBCint(node*, info*);
node* GBCbool(node*, info*);
node* GBCcondexpr(node*, info*);
node* GBCprogram(node*, info*);
node* GBCif(node*, info*);
node* GBCwhile(node*, info*);
node* GBCcall(node*, info*);
node* GBCreturn(node*, info*);
node* GBCfundef(node*, info*);
node* GBCfor(node* arg_node, info* arg_info);
node* GBCstmts(node* arg_node, info* arg_info);